/**
 * ChainLink
 */
public class ChainLink<T> {

    private T value;
    private ChainLink<T> next;

    public ChainLink(T t) {
        this.value = t;
    }

    public T getValue() {
        return value;
    }

    public void setValue(T value) {
        this.value = value;
    }

    public ChainLink<T> getNext() {
        return next;
    }

    public void setNext(ChainLink<T> next) {
        this.next = next;
    }
}